Emgmbh\ReportBundle\Entity\CostGroup:
    type: entity
    repositoryClass: CostGroupRepository
    id:
        id:
            type: integer
            options:
                unsigned: true
            id: true
            generator:
                strategy: IDENTITY
    fields:
        team:
            type: string
            nullable: false
            length: 11
        leaderName:
            type: string
            nullable: false
            length: 100
        hourlyRate:
            type: float
            nullable: false
        employerCosts:
            type: float
            nullable: false
        workerTeams:
            type: simple_array
            nullable: true

    manyToOne:
        user:
            targetEntity: Emgmbh\UserBundle\Entity\User
            cascade: {  }
            fetch: LAZY
            mappedBy: null
            inversedBy: costGroups
            joinColumns:
                user_id:
                    referencedColumnName: id
            orphanRemoval: false

    manyToMany:
        markets:
            targetEntity: Emgmbh\MarketBundle\Entity\Market
            inversedBy: costGroups
            joinTable:
                name: cost_group_market
                joinColumns:
                    cost_group_id:
                        referencedColumnName: id
                inverseJoinColumns:
                    market_number:
                        referencedColumnName: number

    lifecycleCallbacks: {  }
